i2o_device_alloc
Prev | I2O message devices | Next

## Name

i2o_device_alloc — Allocate a I2O device and initialize it

## Synopsis

`struct i2o_device * i2o_device_alloc (` |  | void`)`;

## Arguments

`void`

  no arguments

## Description

Allocate the memory for a I2O device and initialize locks and lists

Returns the allocated I2O device or a negative error code if the device could not be allocated.

Prev | Up | Next
i2o_device_show_tid | Home | i2o_device_add